## ros-humble-rosidl-runtime-cpp 3.1.5

=== debian/changelog ===
ros-humble-rosidl-runtime-cpp (3.1.5-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (3.1.4-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (3.1.3-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (3.1.2-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (3.1.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (3.1.0-2jammy) jammy; urgency=high

  * Add missing dependency on rosidl_runtime_c (#666 <https://github.com/ros2/rosidl/issues/666>)
  * De-duplicate Quality Level from README and QUALITY_DECLARATION (#661 <https://github.com/ros2/rosidl/issues/661>)
  * Install headers to include/${PROJECT_NAME} (#658 <https://github.com/ros2/rosidl/issues/658>)
  * Contributors: Jose Luis Rivero, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (3.0.1-2jammy) jammy; urgency=high

  * Set CXX standard to 17 (#635 <https://github.com/ros2/rosidl/issues/635>)
  * Contributors: Øystein Sture

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 13 Jan 2022 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (3.0.0-2jammy) jammy; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 05 Nov 2021 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (2.5.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 10 Aug 2021 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (2.4.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 12 Jul 2021 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (2.3.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 11 Jun 2021 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (2.2.1-2jammy) jammy; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#581 <https://github.com/ros2/rosidl/issues/581>)
  * Contributors: shonigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (2.2.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Mar 2021 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (2.1.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 09 Mar 2021 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (2.0.3-2jammy) jammy; urgency=high

  * Fix typo of package name in README heading (#561 <https://github.com/ros2/rosidl/issues/561>)
  * Contributors: Tully Foote

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (2.0.2-2jammy) jammy; urgency=high

  * Update and add package.xml descriptions to README (#553 <https://github.com/ros2/rosidl/issues/553>)
  * Fix item number in QD (#546 <https://github.com/ros2/rosidl/issues/546>)
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Louise Poubel, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 08 Dec 2020 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (2.0.1-2jammy) jammy; urgency=high

  * QD: Add links to hosted API docs (#533 <https://github.com/ros2/rosidl/issues/533>)
  * Updated Quality Level to 1 (#532 <https://github.com/ros2/rosidl/issues/532>)
  * Add benchmarks for rosidl_runtime_* packages (#521 <https://github.com/ros2/rosidl/issues/521>)
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Scott K Logan

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Sep 2020 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (2.0.0-2jammy) jammy; urgency=high

  * Add to_yaml() function for C++ messages (#527 <https://github.com/ros2/rosidl/issues/527>)
  * Contributors: Devin Bonnie, Dirk Thomas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 24 Sep 2020 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (1.1.0-2jammy) jammy; urgency=high

  * Add function for getting a types fully qualified name (#514 <https://github.com/ros2/rosidl/issues/514>)
  * Fix misuses of input iterators in BoundedVector (#493 <https://github.com/ros2/rosidl/issues/493>)
  * Update QD to reflect QL 2 statuses (#499 <https://github.com/ros2/rosidl/issues/499>)
  * Contributors: Jacob Perron, Jonathan Wakely, Stephen Brawner

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 17 Aug 2020 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (1.0.1-2jammy) jammy; urgency=high

  * Fix move assignment of bounded vector (#496 <https://github.com/ros2/rosidl/issues/496>)
  * Fix bug inserting bounded_vector in reverse order (#444 <https://github.com/ros2/rosidl/issues/444>)
  * Add Security Vulnerability Policy pointing to REP-2006 (#494 <https://github.com/ros2/rosidl/issues/494>)
  * QD Update Version Stability to stable version (#495 <https://github.com/ros2/rosidl/issues/495>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Jacob Perron, Carlos San Vicente

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 03 Jun 2020 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (1.0.0-2jammy) jammy; urgency=high

  * Clean up BoundedVector (#487 <https://github.com/ros2/rosidl/issues/487>)
  * Contributors: Jonathan Wakely

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 22 May 2020 00:00:00 -0000

ros-humble-rosidl-runtime-cpp (0.9.2-2jammy) jammy; urgency=high

  * Update API documentation (#488 <https://github.com/ros2/rosidl/issues/488>)
  * Add tests (#484 <https://github.com/ros2/rosidl/issues/484>)

